package cn.com.qmth.stmms.biz.exam.service.query;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.exam.model.ExamSubject;

public class ExamSubjectSearchQuery extends BaseQuery<ExamSubject> {

    private int examId;

    private String code;

    private String level;

    private String category;

    private Double totalScore;

    private Double totalScoreNotEqual;

    private Double subjectiveScoreNotEqual;

    private Integer uploadCountGt;

    private Integer uploadCountEqual;

    private String codeIn;

    private String codeNotIn;

    private Boolean finished;

    private Boolean selective;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Double getTotalScoreNotEqual() {
        return totalScoreNotEqual;
    }

    public void setTotalScoreNotEqual(Double totalScoreNotEqual) {
        this.totalScoreNotEqual = totalScoreNotEqual;
    }

    public Double getSubjectiveScoreNotEqual() {
        return subjectiveScoreNotEqual;
    }

    public void setSubjectiveScoreNotEqual(Double subjectiveScoreNotEqual) {
        this.subjectiveScoreNotEqual = subjectiveScoreNotEqual;
    }

    public String getLevel() {
        return level;
    }

    public void setLeve(String level) {
        this.level = level;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public Integer getUploadCountGt() {
        return uploadCountGt;
    }

    public void setUploadCountGt(Integer uploadCountGt) {
        this.uploadCountGt = uploadCountGt;
    }

    public Integer getUploadCountEqual() {
        return uploadCountEqual;
    }

    public void setUploadCountEqual(Integer uploadCountEqual) {
        this.uploadCountEqual = uploadCountEqual;
    }

    public String getCodeIn() {
        return codeIn;
    }

    public void setCodeIn(String codeIn) {
        this.codeIn = codeIn;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public String getCodeNotIn() {
        return codeNotIn;
    }

    public void setCodeNotIn(String codeNotIn) {
        this.codeNotIn = codeNotIn;
    }

    public Boolean getSelective() {
        return selective;
    }

    public void setSelective(Boolean selective) {
        this.selective = selective;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

}
